% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/render.r
\name{render_}
\alias{render_}
\title{Render the ggplot before the animation package}
\usage{
render_(slides, manip_col = "blue", col = "black", pch = 20,
  axes = "center")
}
\arguments{
\item{slides}{The result of \code{array2df()}, a long df of the projected frames.}

\item{manip_col}{String of the color to highlight the \code{manip_var}.
Defaults to "blue".}

\item{col}{Color of the projected points. Defaults to "black".}

\item{pch}{Point character of the projected points. Defaults to 20.}

\item{axes}{Position of the axes: "center", "bottomleft" or "off". Defaults
to "center".}
}
\value{
A ggplot2 object ready to be called by \code{render_plotly()} or
\code{render_gganimate()}.
}
\description{
Typically called by \code{render_plotly()} or \code{render_gganimate()}. Takes the
result of \code{array2df()}, and renders them into a ggplot2 object.
}
